<div *ngIf="orderLines != null && orderLines.length > 0" class="container pb-5 mb-2">

    <!-- ITEMS -->
    <div *ngFor="let orderLine of orderLines">
        <jhi-cart-item [userId]="userId" [orderLine]="orderLine" (onDestroyEvent)="onLineRemoved($event)"></jhi-cart-item>
    </div>

    <!-- TOTAL -->
    <div class="d-sm-flex justify-content-between align-items-center text-center text-sm-left">
        <div class="py-2">
            <span class="d-inline-block align-middle text-sm text-muted font-weight-medium text-uppercase mr-2">Total:</span>
            <span class="d-inline-block align-middle text-xl font-weight-medium">{{order!.totalPrice | currency}}</span>
        </div>
    </div>

    <!-- BUTTONS -->
    <hr class="my-2">
    <div class="row pt-3 pb-5 mb-2">
        <div class="col-sm-6 mb-3">
            <a class="btn btn-style-1 btn-secondary btn-block" routerLink="/home">
                <i class="fe-icon-refresh-ccw"></i>&nbsp;Continue shopping
            </a>
        </div>
        <div class="col-sm-6 mb-3">
            <a class="btn btn-style-1 btn-success btn-block" routerLink="/checkout/{{userId}}">
                <i class="fe-icon-credit-card"></i>
                &nbsp;Checkout
            </a>
        </div>
    </div>
</div>

<div *ngIf="orderLines == null || orderLines.length <= 0">
    <div> Empty Cart</div>
</div>
